#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	thunarx
%define		boldname	Thunar
#-----------------------------------------------------------------------------
Name		:	thunar
Version		:	1.8.15
Release		:	17.0.10.rel%{?dist}

Summary		:	GTK+ 2 GUI to organise the files on your computer
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://archive.xfce.org/src/xfce/thunar

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	exo
BuildRequires	:	gobject-introspection
BuildRequires	:	libnotify
BuildRequires	:	libxfce4ui
BuildRequires	:	xfce4-panel

Requires	:	gnome-icon-theme
Requires	:	lxde-icon-theme
Requires(post)	:	glibc
Requires(postun):	glibc

Obsoletes	:	Thunar
#-----------------------------------------------------------------------------
%description
%{name} is a modern file manager for the Unix/Linux desktop,
aiming to be easy-to-use and fast.

%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS 
%{_sysconfdir}/xdg/%{boldname}/*.xml
%{_bindir}/%{name}*
%{_bindir}/%{boldname}
%{_includedir}/%{shortname}-*/%{shortname}/%{shortname}*.h
%{_prefix}/lib/systemd/user/thunar.service
%{_libdir}/lib%{shortname}-*.so*
%{_libdir}/%{shortname}-*/*.so
%{_libdir}/pkgconfig/%{shortname}-*.pc
%{_libdir}/xfce4/panel/plugins/*.so
%{_libdir}/girepository-1.0/%{boldname}x-*.typelib
%{_libdir}/%{boldname}/*hunar*
%{_defaultdocdir}/%{name}-%{version}/README.gtkrc
%{_datadir}/gir-1.0/%{boldname}x-*.gir
%{_datadir}/metainfo/org.xfce.thunar.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.xfce.*.service
%{_datadir}/%{boldname}/sendto/*.desktop
%{_datadir}/gtk-doc/html/%{shortname}/*.{html,png}
%{_datadir}/gtk-doc/html/%{shortname}/style.css
%{_datadir}/gtk-doc/html/%{shortname}/%{shortname}.devhelp2
%{_datadir}/pixmaps/%{boldname}/%{boldname}-*.png
%{_datadir}/icons/hicolor/*/apps/%{boldname}.png
%{_datadir}/icons/hicolor/scalable/apps/%{boldname}.svg
%{_datadir}/icons/hicolor/*/stock/navigation/*.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/polkit-1/actions/org.xfce.*.policy
%{_mandir}/man1/*.1.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
